IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fdt_alta_oficinas_embargos]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fdt_alta_oficinas_embargos
GO
CREATE PROCEDURE dbo.sp_fdt_alta_oficinas_embargos
(
    @pch_compania            char(4),
    @pch_codigo	           char(10),
    @pch_descripcion     varchar(50)
)
AS
BEGIN
    IF EXISTS ( SELECT 1 FROM fdt_embargos_oficinas
                WHERE compania = @pch_compania And
                      cod_oficina = @pch_codigo )
    BEGIN
		UPDATE fdt_embargos_oficinas
		SET descripcion_oficina = @pch_descripcion
		WHERE compania = @pch_compania And
	              cod_oficina = @pch_codigo    

	    IF @@ERROR <> 0 
	    BEGIN
	        RAISERROR 206800 'Error al modificar en la tabla [fdt_embargos_oficinas]'
			RETURN
		END
    END

--insertar un nuevo registro
    ELSE
	BEGIN
	    INSERT INTO fdt_embargos_oficinas
	    (compania, cod_oficina, descripcion_oficina)
	    VALUES
	    (@pch_compania, @pch_codigo, @pch_descripcion)

	    IF @@ERROR <> 0 
	    BEGIN
	        RAISERROR 206800 'Error al insertar en la tabla [fdt_embargos_oficinas]'
			RETURN
		END

	END
END

GO
GRANT EXECUTE ON dbo.sp_fdt_alta_oficinas_embargos TO PUBLIC